// registro.cpp - Definición de la clase CRegistro
#include <iostream>
#include "registro.h" // declaración de la clase CRegistro
using namespace std;

/////////////////////////////////////////////////////////////////
CRegistro::CRegistro() // constructor
{
  fill(referencia, referencia + 30, 0);
  precio = 0.0F;
}

void CRegistro::AsignarRegistro(char *ref, float pre)
{
  strcpy(referencia, ref);
  precio = pre;
}

char *CRegistro::ObtenerReferencia(char *ref) const
{
  return strcpy(ref, referencia);
}

float CRegistro::ObtenerPrecio() const
{
  return precio;
}
/////////////////////////////////////////////////////////////////
